.modal {
    position: fixed;
    left: 50%;
    top: 30%;
    transform: translate(-50%, -50%);
    max-width: 500px;
    width: 100%;
    background-color: $white;
    padding: 30px;
    -webkit-box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    visibility: hidden;
    opacity: 0;
    transition: 0.3s ease;
    z-index: 2;

    @media (max-width: 576px) {
        max-width: 350px;
    }

    @media (max-width: 375px) {
        max-width: 100%;
        height: 100%;
    }

    .header {
        display: flex;
        justify-content: space-between;
        margin-bottom: 40px;

        &__title {
            font-size: 18px;
        }

        &__close {
            &:hover {
                svg {
                    path {
                        fill: $red;
                    }
                }
            }
        }
    }

    .content {
        &__text {
            font-size: 14px;
            font-weight: 300;
            line-height: 1.6;
        }
    }
}

.modal.active {
    top: 50%;
    overflow: visible;
    visibility: visible;
    opacity: 1;
}